Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4090 - /etc/X11/xdm/Xsession script is not robust
Summary: /etc/X11/xdm/Xsession script is not robust
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-17 19:08 UTC by mcwst18
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-31 19:14:09 UTC


Attachments (Terms of Use)

Description mcwst18 1999-07-17 19:08:26 UTC
The lines

if [ -x /usr/X11R6/bin/freetemp ]; then
    freetemp
fi

in /etc/X11/xdm/Xsession should probably be

if [ -x /usr/X11R6/bin/freetemp ]; then
     /usr/X11R6/bin/freetemp
else
     echo '<some error about /usr/X11R6/bin/freetemp>'
fi

To provide a more informative error than "Permission denied"
if /usr/X11R6/bin/freetemp is not executable for some
strange reasion.  There is also a security hole here if
$PATH is changed in some small way, although it is also
minor.

All in all, a very minor bug but one that is easily fixed.

Matthew Weigel

Comment 1 Preston Brown 1999-08-31 19:14:59 UTC
fixed in the forthcoming 3.3.5 errata release.


Note You need to log in before you can comment on or make changes to this bug.